uniform sampler2D Color0;
uniform vec4 BlendFour;

void main()
{
  // set color
  vec4 color   = texture2D(Color0, gl_TexCoord[0].st) * BlendFour.x + 
                 texture2D(Color0, gl_TexCoord[1].st) * BlendFour.y + 
                 texture2D(Color0, gl_TexCoord[2].st) * BlendFour.z +
                 texture2D(Color0, gl_TexCoord[3].st) * BlendFour.w;

  gl_FragColor = color.bgra;
}
